Subject: Re: [spfbis] #45: Section 5.5 steps

From: S Moonesamy <[email-masked]>
Date: Tue, 28 Aug 2012 22:37:58 -0700

At 18:24 26-08-2012, spfbis issue tracker wrote:
>#45: Section 5.5 steps
>
>  Message posted by Arthur Thisell on 26 Aug 2012:
>
>  in section 5.5 (PTR), step 1 and step 2 are really the same step.  In RFC
>  4408, this was in paragraph form, where these were two sentences
>  describing a rDNS lookup.
>
>  http://www.ietf.org/mail-archive/web/spfbis/current/msg02371.html

Yes.

As a quick comment, the "MUST NOT" does not seem to fit in Step 3.

Regards,
S. Moonesamy

---

From: Alessandro Vesely <[email-masked]>
Date: Wed, 29 Aug 2012 13:35:52 +0200

On Wed 29/Aug/2012 07:37:58 +0200 S Moonesamy wrote:
>> in section 5.5 (PTR), step 1 and step 2 are really the same step.
>> In RFC 4408, this was in paragraph form, where these were two
>> sentences describing a rDNS lookup.
>>

The pseudocode name could be mentioned in the step, e.g. as follows:

  1.  Perform a DNS reverse-mapping for <ip> by looking up PTR records
      either in "in-addr.arpa." if the address is an IPv4 one, or in
      "ip6.arpa." if it is an IPv6 address.  (This results in the list
      of names code-named "sending-domain_names" below.)

Or, comments in the pseudocode could refer to the step, e.g. like so:

  sending-domain_names := ptr_lookup(sending-host_IP);  // step 1

> As a quick comment, the "MUST NOT" does not seem to fit in Step 3.

Why not?  Do you mean it is better to say "MUST truncate the list" in
the previous step?

For a nit, s/its IP address/its IP addresses/.

---

From: Scott Kitterman <[email-masked]>
Date: Wed, 29 Aug 2012 23:28:15 -0400

> >  http://www.ietf.org/mail-archive/web/spfbis/current/msg02371.html

I recombined them locally for the next revision.

> As a quick comment, the "MUST NOT" does not seem to fit in Step 3.

Why not?  All the processing limits are hard requirements.  This is is treated 
just like the others.

Scott K

---

From: Scott Kitterman <[email-masked]>
Date: Wed, 29 Aug 2012 23:56:32 -0400

> For a nit, s/its IP address/its IP addresses/.

Fixed the nit locally.  thanks.

Scott K

---

From: S Moonesamy <[email-masked]>
Date: Wed, 29 Aug 2012 22:12:26 -0700

Hi Scott,
>Why not?  All the processing limits are hard requirements.  This is 

I read the steps again and realized that my comment was incorrect.

Regards,
S. Moonesamy